namespace Palettizer
{
	public struct GMTextureGroupID
	{
		public string Name { get; set; }
		public string Path { get; set; } // this doesnt seem to be used lol
	}

	public struct GMSpriteFrameID
	{
		public string Name { get; set; } // this is actually a GUID lol
	}

	public struct GMSpriteCompositeImage
	{
		public GMSpriteFrameID FrameID { get; set; }
	}

	public struct GMSpriteFrame
	{
		public GMSpriteCompositeImage CompositeImage { get; set; }
	}

	public struct GMSprite
	{
		public GMTextureGroupID TextureGroupID { get; set; }
		public GMSpriteFrame[] Frames { get; set; }
		public string ResourceType { get; set; }
		public string Name { get; set; }
	}
}
